#ifndef _QWPRINT_H_
#define _QWPRINT_H_

/* Record Types */ 
#define	FILE_HEADER		0x01
#define PICT_HEADER		0x02
#define WIND_HEADER		0x03
#define FILE_TRAILER	0x04
#define SCRN_HEADER 	0x05
#define PRTBUF_LEN		1024*8

/* RGB color structure */
typedef struct color_struct {
	unsigned red;
	unsigned green;
	unsigned blue;
	} PCOLOR;

/* print file header record */
typedef struct print_header {
	int			length;
	char		record_type;
	unsigned	height;
	unsigned	width;
	unsigned	nbr_colors;
	PCOLOR		color[256];
	} PRINTHDR;

/* picture/window header record */
typedef struct picture_header {
	int			length;
	char		record_type;
	unsigned	row;
	unsigned	col;
	unsigned	height;
	unsigned	width;
	int			scale;
	PICTURE_HDR phdr;
	} PICTHDR;

/* print file trailer record */
typedef struct print_trailer {
	int			length;
	char		record_type;
	} PRINTEND;

#endif	
